#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 chimera
version:              0.3.4.0
visibility:           public
id:                   chimera-0.3.4.0-GoazC8GubeN98NJel5e5Ie
key:                  chimera-0.3.4.0-GoazC8GubeN98NJel5e5Ie
license:              BSD-3-Clause
copyright:            2017-2019 Bodigrim
maintainer:           andrew.lelechenko@gmail.com
author:               Bodigrim
homepage:             https://github.com/Bodigrim/chimera#readme
synopsis:
    Lazy infinite streams with O(1) indexing and applications for memoization

description:
    There are plenty of memoizing libraries on Hackage, but they
    usually fall into two categories:

    * Store cache as a flat array, enabling us
    to obtain cached values in O(1) time, which is nice.
    The drawback is that one must specify the size
    of the array beforehand,
    limiting an interval of inputs,
    and actually allocate it at once.
    * Store cache as a lazy binary tree.
    Thanks to laziness, one can freely use the full range of inputs.
    The drawback is that obtaining values from a tree
    takes logarithmic time and is unfriendly to CPU cache,
    which kinda defeats the purpose.

    This package intends to tackle both issues,
    providing a data type '\''Chimera'\'' for
    lazy infinite compact streams with cache-friendly O(1) indexing.

    Additional features include:

    * memoization of recursive functions and recurrent sequences,
    * memoization of functions of several, possibly signed arguments,
    * efficient memoization of boolean predicates.

category:             Data
abi:                  811ec48244deaf0c2e7b4498a538ecf3
exposed:              True
exposed-modules:
    Data.Chimera Data.Chimera.ContinuousMapping
    Data.Chimera.WheelMapping

hidden-modules:       Data.Chimera.FromIntegral Data.Chimera.Compat
import-dirs:          /usr/lib/ghc-9.0.2/site-local/chimera-0.3.4.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/chimera-0.3.4.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-chimera
hs-libraries:         HSchimera-0.3.4.0-GoazC8GubeN98NJel5e5Ie
depends:
    adjunctions-4.4.2-GPlGM8lamJYAN5sVP5GsEB base-4.15.1.0
    distributive-0.6.2.1-Ha6o5Gt8Z476kRAWb68SlC
    infinite-list-0.1-B4lt5fPvT6yLp2KxsHZRU6 mtl-2.2.2
    primitive-0.7.4.0-vwDq7840sM3xgs4vWuDTK transformers-0.5.6.2
    vector-0.13.1.0-7cFmSXPxOYHBXGvXz6nsRQ

haddock-interfaces:   /usr/share/doc/haskell-chimera/html/chimera.haddock
haddock-html:         /usr/share/doc/haskell-chimera/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

